Skip Headers
Oracle® Fusion Middleware Release Notes
11g Release 1 (11.1.1) for Linux x86

Part Number E10133-43
Go to Documentation Home
Home
Go to Book List
Book List
Go to Table of Contents
Contents
Go to Master Index
Master Index
Go to Feedback page
Contact Us

Go to previous page
Previous
Go to next page
Next
PDF · Mobi · ePub

2 Installation, Patching, and Configuration

This chapter describes issues associated with Oracle Fusion Middleware installation, patching, and configuration. It includes the following topics:

Note:

This chapter contains issues you might encounter while installing, patching, or configuring any of the Oracle Fusion Middleware products.

Be sure to review the product-specific release note chapters elsewhere in this document for any additional issues specific to the products you are using.

2.1 Installation Issues and Workarounds

This section describes installation issue and workarounds. It includes the following topics:

2.1.1 Oracle SOA Suite Installation Issues

This section contains installation issues pertaining to Oracle SOA Suite:

2.1.1.1 Installing Oracle SOA Suite on a Dual Stack Host with IPv4

If you install Oracle SOA Suite on a dual stack host and the SOA front end URL is only set to IPv4, Oracle BPM Worklist or asynchronous callbacks from IPv6-only clients may have problems resolving IPv4 callback URLs (and vice-versa).

The work around is to use either a split Domain Name System (DNS) or another forward proxy configuration. This enables the IPv6-only client to connect to a dual stack box through its IPv6 interface.

2.1.1.2 Installing Oracle SOA Suite Release 11.1.1.3.0 in a Turkish Environment

If you are installing Oracle SOA Suite Release 11.1.1.3.0 in a Turkish environment, there will be some functionality loss for Oracle Enterprise Manager Fusion Middleware Control.

There is no work around for this issue. Oracle recommends that you avoid installing in a Turkish environment and install in an English environment instead.

2.1.2 Oracle Web Tier Installation Issues

This section contains installation issues pertaining to Oracle Web Tier:

2.1.2.1 Oracle SOA Suite and Oracle Application Developer Must Be Installed Before Oracle Web Tier

To ensure that the oracle_common/soa/modules/commons-cli-1.1.jar (on UNIX operating systems) or oracle_common\soa\modules\commons-cli-1.1.jar (on Windows operating systems) file is installed properly, if you plan to associate Oracle Web Tier with an existing domain, you must install Oracle Web Tier after all other products are installed.

2.1.2.2 Oracle Web Tier Silent Install Requires Oracle Web Cache Component Name

If you are performing a silent Oracle Web Tier installation for Oracle HTTP Server, an Oracle Web Cache component name (WEBCACHE_COMPONENT_NAME parameter) must also be mentioned in the response file, even though Oracle Web Cache is not required for Oracle HTTP Server installation. Even though both component names are provided, as long as CONFIGURE_WEBCACHE is set to false then only Oracle HTTP Server will be installed and configured.

There is no work around for this issue.

2.1.3 Oracle Identity Management Installation Issues

This section contains installation issues pertaining to Oracle Identity Management:

2.1.3.1 Autocatalog Feature Causes System Instability

A new autocatalog feature is enabled by default in fresh installations of Release 1 (11.1.1.6.0). When this feature is enabled, Oracle Internet Directory automatically invokes the catalog command to index attributes when you search for them. Oracle Internet Directory spawns a new process for each catalog attribute, so adding a large number of attributes to Oracle Internet Directory at once can cause system instability.

For more information about this issue, see Section 25.1.1, "Apply Patch if Autocatalog Feature Causes System Instability".

2.1.3.2 WebLogic Administration Server Must Be Running When Extending Oracle Identity Management Domains

When you install Oracle Identity Management, you have several options for choosing how the Oracle Identity Management components are installed in relation to an Oracle WebLogic Server administration domain. If you select the Extend Existing Domain option on the installer's Select Domain screen, Oracle Identity Management components are installed in an existing Oracle WebLogic Server administration domain.

To install Oracle Identity Management components in an existing administration domain using the Extend Existing Domain option, the Oracle WebLogic Administration Server instance must be running.

2.1.3.3 Commands for Determining if Shared GCC Libraries for 11g WebGate Are Correct Versions

The Oracle Access Manager 11g WebGates require operating system-specific GCC libraries on Linux and Solaris platforms. During the installation process of the 11g Webgates, the installer will verify the required GCC library versions. To verify that you have the correct GCC library versions before installation, run the following commands on your respective operating system. The output of each command should be greater than zero. If the output of any command is zero, install the correct GCC libraries as outlined in Oracle Fusion Middleware Installation Guide for Oracle Identity Management (Chapter 23 Installing and Configuring Oracle HTTP Server 11g Webgate for OAM).

In Linux32/i386 environments:

  1. strings -a libgcc_s.so.1 | grep -c "GCC_3.0"

  2. strings -a libgcc_s.so.1 | grep -v "GCC_3.3.1" | grep -c "GCC_3.3"

  3. file libgcc_s.so.1 | grep "32-bit" | grep -c "80386"

  4. file libstdc++.so.5 | grep "32-bit" | grep -c "80386"

 

In Linux64/x86-64 environments:

  1. strings -a libgcc_s.so.1 | grep -c "GCC_3.0"

  2. strings -a libgcc_s.so.1 | grep -v "GCC_3.3.1" | grep -c "GCC_3.3"

  3. strings -a libgcc_s.so.1 | grep -c "GCC_4.2.0"

  4. file libgcc_s.so.1 | grep "64-bit" | grep -c "x86-64"

  5. file libstdc++.so.6 | grep "64-bit" | grep -c "x86-64"

 

In Solaris64/SPARC environments:

  1. strings -a libgcc_s.so.1 | grep -c "GCC_3.0"

  2. strings -a libgcc_s.so.1 | grep -v "GCC_3.3.1" | grep -c "GCC_3.3"

  3. file libgcc_s.so.1 | grep "64-bit" | grep -c "SPARC"

  4. file libgcc_s.so.1 | grep "64-bit" | grep -c "x86-64"

  5. file libstdc++.so.5 | grep "64-bit" | grep -c "SPARC"

2.1.3.4 Do Not Install Patch 9824531 During the Setup of OIM and OAM Integration

In the Oracle Fusion Middleware Installation Guide for Oracle Identity Management, Step 10 in the section titled "Setting Up Integration Between OIM and OAM Using the Domain Agent" instructs users about installing Patch 9824531.

Do not install this patch.

Note that you must download and install the following patches instead of Patch 9824531:

  • Patch 9674375

  • Patch 9817469

  • Patch 9882205

You can download these patches from My Oracle Support.

2.1.3.5 Welcome Screen of Oracle Entitlements Server Installer Not Translated

When you are installing Oracle Entitlements Server in a non-English environment, the text on the Welcome screen does not appear in the selected language. This is a known problem that will be addressed in a future release.

2.1.3.6 Additional Information When Using a Java Security Module with Oracle Entitlements Server

The section, "Using the Java Security Module" in the Oracle Fusion Middleware Installation Guide for Oracle Identity Management, describes how to configure and use a Java security module with Oracle Entitlements Server.

In addition to the information provided in the installation guide, consider the following additional information when configuring the security module:

When a Security Module is configured as a proxy client, set the authentic.identity.cache.enabled system property to true. The configuration is based on the type of Security Module being used and is done for the JVM in which the Web Services or RMI Security Module remote proxy is executing.

Specifically:

  • If the Security Module is a WebLogic Server Security Module, the system property -Dauthentic.identity.cache.enabled=true should be appended to the JAVA_OPTIONS environment variable in the setDomainEnv.sh script on Unix or the setDomainEnv.cmd script on Windows.

  • If the Security Module is a Java Security Module, the system property -Dauthentic.identity.cache.enabled=true should be added to the program being protected by the Java Security Module.

2.1.4 JDK and JRE Installation Issues

This section contains installation issues pertaining to JDKs and JREs during installation:

2.1.4.1 Asian Characters are Not Displayed on Oracle Linux 6.1 with JDK Versions Older Than 6u30

If you are running on Oracle Linux 6.1 with JDK version older than 6u30, Chinese, Korean, and Japanese characters are not displayed in the Oracle Universal Installer.

To work around this issue, do the following:

  1. Go to the JAVA_HOME/jre/lib directory.

  2. Copy fontconfig.RedHat.6.0.bfc to fontconfig.RedHat.6.1.bfc.

  3. Copy fontconfig.RedHat.6.0.properties.src to fontconfig.RedHat.6.1.properties.src.

  4. Run the installer.

2.1.4.2 Specifying the JRE Location if Installing with Automatic Updates

If you are installing one of the following Oracle Fusion Middleware products:

  • Oracle SOA Suite

  • Oracle WebCenter Portal

  • Oracle Service Bus

  • Oracle WebCenter Content

  • Oracle Data Integrator

  • Oracle Identity and Access Management

And you will choose to configure automatic updates on the Install Software Updates screen by selecting Download and install updates from My Oracle Support you must specify the location of a JRE on your system by using the -jreLoc parameter from the command line when you start the installer.

If you do not use the -jreLoc parameter and instead wait for the installer to prompt you for a JRE location, an exception will be seen during the installation.

2.1.4.3 Upgrading Sun JDK in the Oracle Home Directory

Certain installations, including Oracle Identity Management, Oracle Portal, Forms, Reports and Discoverer, and Oracle Web Tier will install a Sun JDK in the Oracle home directory. This version of the Sun JDK may be lower in version than what is specified in the Oracle Fusion Middleware Certification Document:

http://www.oracle.com/technetwork/middleware/ias/downloads/fusion-certification-100350.html

This JDK is used internally and should not be used to deploy Oracle SOA, Oracle WebCenter Portal, or any custom J2EE applications.

If you want a single JDK version deployed for all types of applications, you can upgrade the Sun JDK to a higher version (as specified in the Oracle Fusion Middleware Certification document) using the following steps:

  1. Shut down all processes.

  2. Back up your existing JDK.

  3. Install a new JDK in the same location as your existing JDK.

  4. Restart all processes.

2.1.4.4 Out of Memory Errors When Using JDK 6 Update 23

If you are experiencing out-of-memory errors when using JDK 6 Update 23, consider the following.

In JDK 6 Update 23, the escape analysis feature was enabled by default. Escape analysis is used when optimizing the code run inside the JVM. Due to a bug in escape analysis the memory footprint increased which could lead to OutOfMemoryErrors being thrown when the application runs out of memory.

The workaround for this issue is to add the following JVM argument when you start your application:

-XX:-DoEscapeAnalysis

A fix for this issue is being prepared and will be rolled into the next scheduled regular update release of the Oracle JDK.

You can identify JDK 6 Update 23 by using the java -version command, as follows:

java -version
   java version "1.6.0_24"
   Java(TM) SE Runtime Environment (build 1.6.0_24-b50)
   Java HotSpot(TM) Server VM (build 19.1-b02, mixed mode)

2.1.5 Oracle Universal Installer Issues

This section contains installation issues pertaining to the product installers:

2.1.5.1 Installer Produces Errors When Checking for Software Updates on My Oracle Support

On the Install Software Updates screen, if you select the Search My Oracle Support for Updates option, provide the proper user credentials, and then click Search for Updates, the following error is seen in the installation log file:

java.net.NoRouteToHostException: No route to host

The work around is to use the Search Local Directory for Updates option on the Install Software Update screen and select a patch that has already been downloaded and is available locally. Patches can be downloaded manually from My Oracle Support or they can be obtained from your Oracle Support representative.

2.1.5.2 Installer is Checking for the Wrong System Patches on Solaris x86-64

The installer for Fusion Middleware products is looking for following operating system patches on Solaris x86-64 operating systems:

  • 127111-02

  • 137111-04

These are incorrect; the correct operating system patches required for Solaris x86-64 operating systems are:

  • 127112

  • 137112

More information about these patches can be found in notes 1000642.1 and 1019395.1 on My Oracle Support.

2.1.5.3 Entering the Administrator Password for a Simple Oracle Business Intelligence Installation on Linux Operating Systems

If you are installing Oracle Business Intelligence on a Linux operating system, and you select Simple Install on the Select Installation Type screen, the "Password" field is inactive when you navigate to the Administrator Details screen.

To work around this issue, right-click on the "Password" field and select Paste. The "Password" field becomes active and you can enter an Administrator password.

2.1.6 Database and Schema Installation Issues

This section contains installation issues pertaining to databases and schemas:

2.1.6.1 Error Encountered While Loading the Oracle Internet Directory (ODS) Schema

If you have password policy enabled at the database level on your Oracle database, you will receive the ORA-28003 error when loading the Oracle Internet Directory (ODS) schema.

To work around this issue, temporarily disable password policy, load the schema, then enable password policy again.

2.1.6.2 Setting the Correct Permission for the DBMS_JOB Database Package

If you are creating the Oracle Internet Directory schema in an Oracle database using RCU, you may encounter the following error messages:

ORA-04063: package body "ODS.TSPURGE" has errors
ORA-06508: PL/SQL: could not find program unit being called: "ODS.TSPURGE"
ORA-06512: at line 3

To work around this issue:

  1. Stop RCU and drop any Oracle Internet Directory schemas already created. Refer to "Dropping Schemas" in Oracle Fusion Middleware Repository Creation Utility User's Guide for instructions.

  2. Log into the database using SQL*Plus and run the following command:

    SQL> grant execute on sys.dbms_job to PUBLIC
    
  3. Run RCU again and create the schemas.

2.1.6.3 Database Connection Failure During Schema Creation When Installing Oracle Internet Directory

If the installation of Oracle Internet Directory fails due to timeout or connection failure when connecting to a database for schema creation, you can try to reset the timeout parameter in the rcu.properties file. This file is located in the IDM_Home/rcu/config directory on UNIX operating systems. On Windows operating systems, this file is located in the IDM_Home\rcu\config directory.

Open the rcu.properties file in a text editor, search for the property JDBC_LOGIN_TIMEOUT, and set its value to 30.

2.1.7 Error Messages and Exceptions Seen During Installation

This section contains installation issues pertaining to error messages and exceptions seen during installation:

2.1.7.1 Error Messages When Installing on IBM AIX 7.1

When installing Oracle Fusion Middleware 11g products on IBM AIX 7.1, you may see the following errors during the prerequisite checking portion of the installation:

Checking operating system certification
Expected result: One of 5300.08,6100.02
Actual result:: 7100.xx
Check complete. The overall result of this check is: Failed <<<<
Problem: This Oracle software is not certified on the current operating system
 
Checking recommended operating system patches
Check complete: The overall result of this check is: Not executed <<<< 

These messages can be safely ignored. Selecting Continue in the dialog box will allow the installation to proceed.

2.1.7.2 JRF Startup Class Exceptions May Appear in Oracle WebLogic Managed Server Logs After Extending Oracle Identity Management Domain

After extending an Oracle Identity Management domain, you may see exception messages related to JRF Startup Class in the managed server log files. For example:

Failed to invoke startup class "JRF Startup Class",
oracle.jrf.PortabilityLayerException: Fail to retrieve the property for the Common
Components Home.
oracle.jrf.PortabilityLayerException: Fail to retrieve the property for the Common
Components Home.

You can safely ignore these exception messages—there is no loss in functionality.

2.1.7.3 Sun JDK and Oracle Configuration Manager Failures in the Installation Log File

Upon completing of an Oracle Web Tier, Oracle Identity Management, or Oracle Portal, Forms, Reports and Discoverer installation, the following errors may be seen in the installtime_and_date.log file:

[2009-11-04T21:15:13.959-06:00] [OUI] [NOTIFICATION] [] [OUI] [tid: 16]
[ecid: 0000IJ2LeAeFs1ALJa5Eif1Aw^9l000007,0] OUI-10080:The pre-requisite for
the component Sun JDK 1.6.0.14.08  has failed.
 
[2009-11-04T21:15:13.960-06:00] [OUI] [NOTIFICATION] [] [OUI] [tid: 16]
[ecid: 0000IJ2LeAeFs1ALJa5Eif1Aw^9l000007,0] OUI-10080:The pre-requisite for
the component Oracle Configuration Manager 10.3.1.2.0  has failed.   

These messages occur because the Sun JDK and Oracle Configuration Manager are not installed in the oracle_common directory. You can safely ignore these messages.

2.1.8 Deinstallation Issues

This section contains issues pertaining to product deinstallation:

2.1.8.1 Proper Deinstallation for Reinstallation in the Event of a Failed Installation

In the event that an installation fails, and you want to deinstall the failed installation and then reinstall the software to the same location, you must do the following:

  1. Make sure that all the managed servers in the failed installation are shut down. You must verify this in the Administration Console; the word "SHUTDOWN" must appear next to the managed server name.

  2. Deinstall the binaries in the Oracle home directory using the deinstaller in the ORACLE_HOME/oui/bin directory.

  3. Delete all the managed servers from the failed installation in the config.xml file by using the Administration Console or WLST.

  4. Delete all directories in the DOMAIN_HOME/servers directory:

This procedure will enable you to reinstall the software to the same location, using the same managed server names.

2.1.8.2 Deinstallation Does Not Remove WebLogic Domains

There may be certain scenarios where you will need to remove WebLogic Domains that you have created. The Oracle Universal Installer is used to remove Oracle Instances and Oracle home directories only; it does not remove WebLogic Domains.

If you need to remove a WebLogic Domain, you must do so manually. Please refer to your Oracle WebLogic Server documentation for more information.

2.1.9 Installing Oracle Service Registry in the Same Domain as Oracle SOA Suite

When installing Oracle Service Registry 11g in the same Weblogic Domain as Oracle SOA Suite 11g Release 11.1.1.2.0 or Release 11.1.1.3.0, you may see the following error message on the WebLogic Server console when Oracle Service Registry is starting up:

java.lang.LinkageError: loader constraint violation in interface itable
initialization:....

To work around this issue:

  1. Make sure Oracle Service Registry is installed on a different Managed Server from Oracle SOA Suite.

  2. Download patch 9499508 and follow the instructions in the README file included with the patch:

    1. Go to My Oracle Support.

      http://support.oracle.com
      
    2. Click on the Patches & Updates tab.

    3. In the Patch Search area, search for patch 9499508.

    4. Download the patch.

  3. Edit the setDomainEnv.sh file and, for Oracle Service Registry Server, remove fabric.jar from classpath:

    if [ "${SERVER_NAME}" != "osr_server1" ] ; then
    POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.fabric_11.1.1/oracle.soa.fabric.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
    ${CLASSPATHSEP}${POST_CLASSPATH}"
    else
    POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
    ${CLASSPATHSEP}${POST_CLASSPATH}"
    fi
    

When installing Oracle Service Registry 11g in the same Weblogic Domain as Oracle SOA Suite 11g Release 11.1.1.3.0, you may see the following error message when accessing the Oracle Service Registry console:

ClassCastException
java.lang.ClassCastException:org.systinet.uddi.client.serialization.UDDIFaultSerializer

To work around this error, edit the setDomainEnv.sh file and remove oracle.soa.fabric.jar from the classpath when running the Oracle Service Registry Managed Server. To do this:

  1. Make a backup of the MW_HOME/user_projects/domains/soa_domain_name/bin/setDomainEnv.sh file.

  2. Edit the setDomainEnv.sh file and replace the following line:

    POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.fabric_11.1.1/oracle.soa.fabric.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
    ${CLASSPATHSEP}${POST_CLASSPATH}"
    

    with the following:

    if [ "${SERVER_NAME}" != "<your_osr_server_name>" ] ;
    then
    POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.fabric_11.1.1/oracle.soa.fabric.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
    ${CLASSPATHSEP}${POST_CLASSPATH}"
    else
    POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
    ${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
    ${CLASSPATHSEP}${POST_CLASSPATH}"
    fi
    
  3. Restart the Oracle Service Registry Managed Server.

If you have multiple Oracle Service Registry Managed Servers in the domain, each Managed Server must be added to the condition. For example, if you have two Oracle Service Registry Managed Servers named WLS_OSR1 and WLS_OSR2:

case "$SERVER_NAME" in
.
'WLS_OSR1')
.
echo "Setting WLS_OSR1 CLASSPATH..."

POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
${CLASSPATHSEP}${POST_CLASSPATH}"
exit;;

.
'WLS_OSR2')
.
echo "Setting WLS_OSR2 CLASSPATH..."

POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
${CLASSPATHSEP}${POST_CLASSPATH}"
exit;;
.
*)
.
echo "Setting default SOA CLASSPATH..."

POST_CLASSPATH="${SOA_ORACLE_HOME}/soa/modules/oracle.soa.fabric_11.1.1/oracle.soa.fabric.jar
${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.adapter_11.1.1/oracle.soa.adapter.jar
${CLASSPATHSEP}${SOA_ORACLE_HOME}/soa/modules/oracle.soa.b2b_11.1.1/oracle.soa.b2b.jar
${CLASSPATHSEP}${POST_CLASSPATH}"
exit;;
.
esac

2.1.10 Problems Installing in Thai and Turkish Locales

Turkish and Thai users are recommended to install and run Oracle Fusion Middleware using the English locale. Oracle Fusion Middleware does support Turkish and Thai locales as clients.

2.1.11 Installing Oracle HTTP Server on Linux Operating Systems Requires NPTL

If you are installing Oracle HTTP Server (available with Oracle Web Tier or Oracle Portal, Forms, Reports and Discoverer) on a Linux operating system, the operating system needs to set Native POSIX Threads Library (NPTL) as the default threads-implementation. To check for this, run the following command:

getconf GNU_LIBPTHREAD_VERSION

The expected results should be "NPTL 2.3.4". Failing to have NPTL can result in unexpected behavior for the Oracle HTTP Server, especially if the Multi-Processing Module (MPM) is the Worker MPM.

2.1.12 Using RCU 11g Release 1 (11.1.1.1.0) with Oracle Database 11g (11.2.0.1)

If you are using the version of RCU that is available in Oracle Fusion Middleware 11g Release 1 (11.1.1.1.0) with Oracle Database 11g (11.2.0.1), you will receive the following warning message:

The database you are connecting is not a supported version. Enter Database
with version equal to or higher than 10.2.0.4.0 in 10g or version equal to
higher than 11.1.0.7.0 in 11g. Refer to the certification matrix for
supported DB versions.

This warning can be safely ignored and you can proceed with your RCU operations.

This warning will not appear in the version of RCU available in Oracle Fusion Middleware 11g Release 1 (11.1.1.2.0) or later.

2.2 Patching Issues and Workarounds

This section describes patching issues and their workarounds. It includes the following topics:

2.2.1 Oracle SOA Suite Patching Issues

This section contains patching issues pertaining to Oracle SOA Suite products:

2.2.1.1 Exception Seen When Extending Your Existing Oracle SOA Suite Domain with Oracle Business Process Management Suite

The following intermittent exception may be seen in cases where you have upgraded your Oracle SOA Suite software to release 11.1.1.3.0 with the Patch Set Installer, and are extending your existing domain to include Oracle Business Process Management Suite:

javax.ejb.EJBTransactionRolledbackException: EJB Exception: ; nested exception
 is: javax.persistence.PersistenceException: Exception
[EclipseLink-4002] (Eclipse Persistence Services - 2.0.2.v20100323-r6872):
 org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLIntegrityConstraintViolationException:
 ORA-02292: integrity constraint (DB9128_SOAINFRA.BPM_CUBE_ROLE_FK1) violated -
 child record found.
Error Code: 2292
Call: DELETE FROM BPM_CUBE_PROCESS WHERE (PROCESSID = ?)
        bind => [247]
Query: DeleteObjectQuery(CubeProcess(domain:default, composite:counter_extended,
 revision:1.0, name:Process, hasNametab:true));
nested exception is: javax.persistence.PersistenceException: Exception
[EclipseLink-4002] (Eclipse Persistence Services - 2.0.2.v20100323-r6872):
 org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLIntegrityConstraintViolationException:
ORA-02292: integrity constraint (DB9128_SOAINFRA.BPM_CUBE_ROLE_FK1) violated -
 child record found

This is a harmless exception. To avoid seeing this exception, do the following:

  1. Connect to your databsae as the SOA schema user.

  2. Drop the BPM_CUBE_ROLE_FK1 constraint by executing the following:

    ALTER TABLE BPM_CUBE_ROLE DROP CONSTRAINT BPM_CUBE_ROLE_FK1;
    
  3. Recreate the BPM_CUBE_ROLE_FK1 constraint by executing the following:

    ALTER TABLE BPM_CUBE_ROLE ADD CONSTRAINT BPM_CUBE_ROLE_FK1 FOREIGN KEY @
    (ProcessId) REFERENCES BPM_CUBE_PROCESS(ProcessId) ON DELETE CASCADE;
    
  4. Restart the Oracle SOA Managed Server.

2.2.1.2 Exception Seen When Undeploying any SOA Composite with Range-Based Dimension Business Indicators

The following intermittent exception may be seen in cases where you have upgraded your Oracle SOA Suite software to release 11.1.1.3.0 with the Patch Set Installer, and have undeployed SOA composites that have range-based dimension business indicators:

javax.ejb.EJBTransactionRolledbackException: EJB Exception: ; nested
exception is: javax.persistence.PersistenceException: Exception
[EclipseLink-4002] (Eclipse Persistence Services - 2.0.2.v20100323-r6872):
org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLIntegrityConstraintViolationException:
ORA-02292: integrity constraint (DB9967_SOAINFRA.BPM_CUBE_NAMETAB_RANGE_FK1)
violated - child record found
 
Error Code: 2292
Call: DELETE FROM BPM_CUBE_NAMETAB WHERE ((EXTENSIONID = ?) AND (NAMETABID =
?))
        bind => [0, 603]
Query:
DeleteObjectQuery(oracle.bpm.analytics.cube.persistence.model.CubeNametab@b7b8
2a); nested exception is: javax.persistence.PersistenceException: Exception
[EclipseLink-4002] (Eclipse Persistence Services - 2.0.2.v20100323-r6872):
org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLIntegrityConstraintViolationException:
ORA-02292: integrity constraint (DB9967_SOAINFRA.BPM_CUBE_NAMETAB_RANGE_FK1)
violated - child record found 

This exception is harmless and can be safely ignored. To avoid seeing this exception, do the following:

  1. Connect to your databsae as the SOA schema user.

  2. Drop the BPM_CUBE_NAMETAB_RANGE_FK1 constraint by executing the following:

    ALTER TABLE BPM_CUBE_NAMETAB_RANGE  DROP CONSTRAINT BPM_CUBE_NAMETAB_RANGE_FK1;
    
  3. Recreate the BPM_CUBE_NAMETAB_RANGE_FK1 constraint by executing the following:

    ALTER TABLE BPM_CUBE_NAMETAB_RANGE ADD CONSTRAINT BPM_CUBE_NAMETAB_RANGE_FK1
    FOREIGN KEY @ (ProcessId, NametabId, ExtensionId) REFERENCES
    BPM_CUBE_NAMETAB (ProcessId, NametabId, ExtensionId) ON DELETE CASCADE;
    
  4. Restart the Oracle SOA Managed Server.

2.2.1.3 Running Oracle Business Process Management Suite with Microsoft SQL Server 2008 Database

If you have patched your existing Oracle SOA Suite installation with the Patch Set Installer to include Oracle Business Process Management Suite and you are using a Microsoft SQL Server 2008 database, the following procedure is required after you have patched your software:

  1. Login to the Administration Console.

  2. In the "Connection Pools" tab, add the following property in the "Properties" section for the mds-owsm and mds-soa data sources:

    ReportDateTimeTypes=false
    

2.2.1.4 Update to Oracle SOA Suite Release 11.1.1.3.0 Does Not Remove the b2b.r1ps1 Property

After you update your Release 11.1.1.2.0 software to Release 11.1.1.3.0, and login to the Oracle Enterprise Manager Console and navigate to the b2b Properties screen, the b2b.r1ps1 property (used to enable Release 11.1.1.2.0 features such as DocProvisioning and TransportCallout) is still visible. This property is removed for Release 11.1.1.3.0.

To remove this property, use the MBean browser remove property operation in Fusion Middleware Control. For more information, see "Configuring B2B Operations" in Oracle Fusion Middleware Administrator's Guide for Oracle SOA Suite and Oracle BPM Suite.

2.2.1.5 Manual Steps for Migrating Oracle UMS and Oracle MDS

If you migrate your database schemas from Release 11.1.1.1.0 to Release 11.1.1.2.0 with the BAM Alone option:

ant master-patch-schema -DpatchMaster.Componentlist=BAM

The Oracle BAM server will not start and you will receive UMS and MDS exceptions. After executing above command, if no errors are seen in the log files and if the version in schema_version_registry is changed to 11.1.1.2.0 for Oracle BAM, then the following commands must be executed to manually migrate Oracle UMS and MDS:

ant master-patch-schema -DpatchMaster.Componentlist=MDS
ant master-patch-schema -DpatchMaster.Componentlist=UMS

Then, start the Oracle BAM server after running these commands.

2.2.1.6 Monitored BPEL Processes Generate Warning Messages in Log File After Applying 11g Release 1 (11.1.1.4.0) Patch Set

If you deployed BPEL processes that are instrumented with monitors, then Oracle BAM might generate warning messages in the SOA diagnotic log file after you apply the 11g Release 1 (11.1.1.4.0) patch set.

This is because a new business indicator data object field ("LATEST") was added for Oracle Fusion Middleware 11g Release 1 (11.1.1.4.0).

To avoid the warning message and to take advantage of the new data object field, redeploy the BPEL process after you apply the 11g Release 1 (11.1.1.4.0) patch set.

For more information about the LATEST data object field, see "Understanding Business Indicator Data Objects" in the Oracle Fusion Middleware Developer's Guide for Oracle SOA Suite.

2.2.1.7 Oracle Rules Error in Administration Server Log Files After Patching an 11g Release 1 (11.1.1.2.0) Domain

If you are applying the latest Oracle Fusion Middleware 11g patch set to an 11g Release 1 (11.1.1.2.0) Oracle home, then you might see the following error in the Administration Server log files:

<Unresolved optional package references (in META-INF/MANIFEST.MF):
[Extension-Name: oracle.rules, referenced from: 
/app/orasoa/product/soa11g/middleware/user_projects
   /domains/soadev/servers/AdminServer/tmp/_WL_user/emai/xalnv4]
Make sure the referenced optional package has been deployed as a library.>

You will see this error if deployed a Oracle SOA Suite composite applciation to the domain previous to applying the patch set. This because, starting with Oracle Fusion Middleware 11g Release 1 (11.1.1.3.0), the Rules library (oracle.rules) must be targeted to the Administration Server, as well as to the SOA managed servers.

To avoid this message:

  1. Use the Oracle WebLogic Server Administration Console to select the oracle.rules shared library and target it to the Administration Server as well as to the SOA managed servers in the domain.

  2. Redeploy the application to the domain using Oracle JDeveloper 11g Release 1 (11.1.1.3.0) or later.

2.2.1.8 Incorrect Instance State of Composite Applications After Applying the Latest Patch Set

If you deployed any composite applications in Oracle SOA Suite 11g Release 1, and then you apply the latest 11g Release 1 patch set, then you might find that the instance state of some of your composite applications appears incorrect.

For example, if any of your composite applications were in a "recovery required" state before you applied the patch set, then those composite applications may be identified as completed when you view them on the Dashboard tab of the SOA Composite page in Fusion Middleware Control.

In these cases, you can ignore the "completed" indicator. The instances are actually still running and will be treated as such by other operations, such as a purge operation.

After you install the patch set, you should analyze each of these instances to determine whether they shoul be completed, aborted, or left to continue.

For more information about monitoring the state of SOA Composite applications, see "Monitoring SOA Composite Applications" in the Oracle Fusion Middleware Administrator's Guide for Oracle SOA Suite and Oracle BPM Suite.

2.2.2 Oracle WebCenter Portal Patching Issues

This section contains patching issues pertaining to Oracle WebCenter Portal products:

2.2.2.1 Granting Access to Network-Related Packages for the Oracle Portal Schema

While running the Patch Set Assistant to upgrade the schema for Oracle Portal 11g Release 1 (11.1.1.4.0) in an environment where Oracle Single Sign-On 10.1.4.3 is running against Oracle Internet Directory 11g and Oracle Database 11.2.0.2, the following exception is encountered:

ORA-24247: network access denied by access control list (ACL)

To address this issue when executing network-related packages, access must be granted to the user using these packages. You must create the ACL for the ORASSO schema user, and assign it to the OID host. Then, you must run the wdbigra.sql script, which gives the required grants to Oracle Portal schema.

  1. Grant the ACL for the PORTAL schema user and assign it for the OID host.

    Connect as sys as sysdba and assign the ACL as in the example below, where examplehost.exampledomain.com is the OID hostname and the DEV_PORTAL is the Oracle Portal schema specified for the installation:

    DECLARE
    acl_path VARCHAR2(4000);
     
    BEGIN
     
    SELECT acl INTO acl_path FROM dba_network_acls
    WHERE host = 'examplehost.exampledomain.com' AND lower_port IS NULL AND upper_port IS NULL;
    dbms_output.put_line('acl_path = '|| acl_path);
    dbms_output.put_line('ACL already Exists. Checks for Privilege and add the Privilege');
    IF DBMS_NETWORK_ACL_ADMIN.check_privilege(acl_path,'DEV_PORTAL','connect') IS NULL THEN
       DBMS_NETWORK_ACL_ADMIN.add_privilege (
       acl => acl_path,
       principal => 'DEV_PORTAL',
       is_grant => TRUE,
       privilege => 'connect');
    END IF; 
    END;
    /
    COMMIT;
    

    When no ACL has been assigned for the OID host, create the ACL:

    EXCEPTION
    WHEN no_data_found THEN
    
    DBMS_NETWORK_ACL_ADMIN.create_acl (
       acl => 'sso_oid.xml',
       description => 'ACL for SSO to connect to OID',
       principal => 'ORASSO',
       is_grant => TRUE,
       privilege => 'connect');
     
    DBMS_NETWORK_ACL_ADMIN.assign_acl (
       acl => 'sso_oid.xml',
       host => 'examplehost.exampledomain.com');
    END;
    /
    COMMIT; 
    

    Use the following SQL command to verify that the ACL was created:

    select * from dba_network_acls; 
    
  2. Modify the values of the host and schema in the wdbigra.sql file, located in the ORACLE_HOME/upgrade/portal/admin/plsql/wwv (on UNIX operating systems) or ORACLE_HOME\upgrade\portal\admin\plsql\wwv (on Windows operating systems) directory.

    Change the following:

    host varchar2(1)        := '*';
    schema varchar2(2000)   := upper('&&1'); 
    

    To the following:

    host varchar2(1)        := '&OID_HOST';
    schema varchar2(2000)   := upper('&PORTAL_SCHEMA'); 
    
  3. Run the wdbigra.sql script to give the grants to the Oracle Portal schema.

    The script will prompt you for the following:

    • The value for the oid_host.

      Specify the host where Oracle Internet Directory is running (for example, examplehost.exampledomain.com).

    • The value for the portal_schema.

      Specify the prefix and schema name (for example, DEV_PORTAL).

2.2.2.2 Some WebCenter Portal Applications Show Old Version Number

After applying the patch for Oracle WebCenter Portal, some applications still show the version number from previous releases.

There is no work around for this issue.

2.2.2.3 Problem Using WebCenter Portal: Spaces Customizations with .jsp Pages After Installing the 11.1.1.6.0 Patch Set

If you extended WebCenter Portal: Spaces 11g Release 1 (11.1.1.2.0) or Release 1 (11.1.1.3.0) with your own customizations, then before you upgrade, you must ensure that the customization shared library uses .jspx pages and not .jsp pages.

After you upgrade to WebCenter Portal: Spaces 11.1.1.6.0, custom site templates will not render if they use .jsp pages.

Note that if you followed the white paper Customizing Site Templates in WebCenter Spaces to develop your custom site templates, then your pages should already be .jspx pages.

2.2.2.4 Errors When Updating Oracle WebCenter Portal Using WLST Commands

If you are updating Oracle WebCenter Portal using WLST commands, you may see some error messages as described in this section. These errors can be safely ignored provided that when the command completes there is some text indicating the successful completion of the command.

When running the upgradeWebCenterDomain WLST command, you may see the following error message:

Error: addTemplate() failed. Do dumpStack() to see details.

When running the upgradeWebCenterPermissions command, you may see the following error message:

Command FAILED, Reason: JPS-04204: Cannot revoke permissions.

2.2.3 Oracle Identity Management Patching Issues

This section contains patching issues pertaining to Oracle Identity Management products:

2.2.3.1 Installer Prompts for OID Privileged Ports Twice During the Patch Installation

If you are patching an existing Oracle Internet Directory installation to 11g Release 1 (11.1.1.6.0), you will be prompted to run the oracleRoot.sh script near the end of the patch installation, which in turn will ask for the following:

Do you want to run oidRoot.sh to configure OID for privileged ports?(yes/no)

Depending on the OID version being patched, you may be asked this question a second time. Make sure you enter the same response ("Yes" or "no") both times in order for the script to run correctly.

There is no work around for this issue.

2.2.3.2 Installer Does Not Detect Existing Oracle Home

If you are upgrading to Oracle Identity Management to Release 11.1.1.6.0 from Release 11.1.1.4.0, the installer does not detect the existing Oracle home directory for upgrade in the following environments:

  • On 64-bit Windows operating systems, using the Traditional Chinese, Simplified Chinese, or Korean locales.

  • On 64-bit Linux operating systems, using the Non UTF-8 locale for Japanese, Korean, Simplified Chinese and Traditional Chinese.

This is caused because the English word "Optional" gets translated in the MW_HOME/oracle_common/inventory/ContentsXML/comps.xml (on UNIX operating systems) or MW_HOME\oracle_common\inventory\ContentsXML\comps.xml (on Windows operating systems) file.

There are two work arounds for this issue:

  1. Manually specify the Oracle Identity Management Oracle home directory you want to update, and then continue with the upgrade installation.

  2. Find all occurances of the translated word and replace them with the English word "Optional" in the comps.xml file and then run the installer after you are finished making the changes. The word "Optional" appears with the following two parameters in the comps.xml file:

    DEP_GRP_NAME="Optional"
    EXT_NAME="Optional"
    

    Note:

    The comps.xml file is an important file used by the Oracle Universal Installer so it is important that you do not make any errors while editing this file. You should make a backup copy of this file before you make any changes.

2.2.3.3 Uploading Third Party JAR Files to the Database

During the update of Oracle Identity and Access Management to Release 11.1.1.5.0, third party JAR files (for example, ldapbp.jar which is required for connector functionality) that are present in the file system are not uploaded to database by the upgrade process. You must manually upload these JAR files to the database using the UploadJars.sh (on UNIX operating systems) or UploadJars.bat (on Windows operating systems) utility.

For more information, see the "Upload JAR and Resource Bundle Utilities" chapter in Oracle Fusion Middleware Developer's Guide for Oracle Identity Manager.

2.2.3.4 Access Policy With Approval Does Not Work After Patch

In Release 11.1.1.5.0, the following new policies are introduced for Oracle Entitlements Server (OES):

  • SelfServiceUserManagementPolicies.xml

  • UserManagementPolicies.xml

Because of this change, a request for approval is not generated when a new policy with approval is added.

To work around this issue, add the "Request Administrator" role to the "Access Policy Based Provisioning" request template:

  1. Login to "Advance Console."

  2. Go to Request Templates on the Configuration tab.

  3. Search for and and open the "Access Policy Based Provisioning" request template.

  4. Go to the Template User Roles tab on the Template Details page.

  5. From the left pane in "Available Roles," search for and assign the "Request Administrators" role.

    The assigned role will appear in the right pane under "Selected Roles."

  6. Save the request template.

2.2.3.5 OID and OVD Saved Connections Not Available After Patch From Release 11.1.1.2.0 or 11.1.1.3.0

If you are patching Oracle Internet Directory (OID) or Oracle Virtual Directory (OVD) from Releases 11.1.1.2.0 or 11.1.1.3.0 to Release 11.1.1.4.0 or later, your saved connection in Releases 11.1.1.2.0 or 11.1.1.3.0 will not be available after the patch.

If you are patching from Release 11.1.1.3.0 or later, then your saved connections in OID and OVD will be available.

There is no work around for this issue.

2.2.3.6 Error When Running the upgradeOpss() Command When Upgrading Oracle Identity Management

During the upgrade of Oracle Identity Manager 11.1.1.3.0 to 11.1.1.5.0, you are asked to run the upgradeOpss WLST (online) command to update Oracle Platform Security Services (OPSS).

The following message will be visible on the console when you run the upgradeOpss command:

WLS ManagedService is not up running. Fall back to use system properties for configuration.
date_and_time oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy <init>
WARNING: No identity store associate with policy store found.
Upgrade of jps configuration and security stores is done.

This message is harmless and can be safely ignored.

2.2.3.7 Errors in the Log Files After Patching Oracle Identity Management to Release 11.1.1.4.0

After patching and configuring Oracle Identtiy Management to Release 11.1.1.4.0, the following errors are seen in the wls_oif1-diagnostics.log file when Single Sign-On is used for Oracle Identity Federation:

[2010-08-05T13:05:30.754-07:00] [wls_oif1] [INCIDENT_ERROR] [FED-10174]
[oracle.security.fed.model.config.Configuration] [tid:
[ACTIVE].ExecuteThread: '2' for queue: 'weblogic.kernel.Default
(self-tuning)'] [userId: <anonymous>] [ecid:
42ef6c66fe18f3ad:291f353a:12a43da27c1:-8000-0000000000000021,0] [APP:
OIF#11.1.1.2.0] [arg: certvalidationtimeout] Property was not found:
certvalidationtimeout.
.
[2010-08-05T13:05:37.174-07:00] [wls_oif1] [INCIDENT_ERROR] [FED-10174]
[oracle.security.fed.model.config.Configuration] [tid:
[ACTIVE].ExecuteThread: '2' for queue: 'weblogic.kernel.Default
(self-tuning)'] [userId: <anonymous>] [ecid:
42ef6c66fe18f3ad:291f353a:12a43da27c1:-8000-0000000000000021,0] [APP:
OIF#11.1.1.2.0] [arg: schemavalidationenabled] Property was not found:
schemavalidationenabled

[2010-08-06T17:09:23.861-07:00] [wls_oif1] [INCIDENT_ERROR] [FED-10174]
[oracle.security.fed.model.config.Configuration] [tid:
[ACTIVE].ExecuteThread: '3' for queue: 'weblogic.kernel.Default
(self-tuning)'] [userId: <anonymous>] [ecid:
f6d9b81289e40cee:42d4f595:12a49b7af7a:-8000-000000000000086f,0] [APP:
OIF#11.1.1.2.0] [arg: certpathvalidationenabled] Property was not found:
certpathvalidationenabled.
 
[2010-08-06T17:11:27.173-07:00] [wls_oif1] [INCIDENT_ERROR] [FED-10174]
[oracle.security.fed.model.config.Configuration] [tid:
[ACTIVE].ExecuteThread: '3' for queue: 'weblogic.kernel.Default
(self-tuning)'] [userId: <anonymous>] [ecid:
f6d9b81289e40cee:42d4f595:12a49b7af7a:-8000-00000000000009a0,0] [APP:
OIF#11.1.1.2.0] [arg: httpheaderattrcollector] Property was not found:
httpheaderattrcollector. 

There errors are harmless and can be safely ignored.

To avoid seeing these errors, run the oif-upgrade-11.1.1.2.0-11.1.1.4.0.py script after you have patched your software to 11.1.1.4.0 as described in "Updating Configuration Properties in Oracle Identity Federation" in the Oracle Fusion Middleware Patching Guide.

2.2.3.8 Warning Message When Migrating Oracle Identity Federation from Release 11.1.1.1.0 to Release 11.1.1.2.0

When you are using the Patch Assistant migration scripts to migrate Oracle Identity Federation from Release 11.1.1.1.0 to Release 11.1.1.2.0, you may see the following error message:

WLSTException: Error occured while performing addHelpCommandGroup : Error
getting resource bundle: : Can't find bundle for base name
oifWLSTResourceBundle, locale en_US

This message is harmless and can be safely ignored.

2.2.3.9 Benign Errors Logged When Patching Oracle Identity Management 11.1.1.2.0 Installation to 11.1.1.3.0

You may see some benign error messages in installation log files, such as the following, after you patch an Oracle Identity Management 11.1.1.2.0 installation to 11.1.1.3.0:

External name..INVALID_ORACLE_DIRECTORY_MSG_STRING

In doFinish method checking for inventory lock...InstallProgressPage

Next page is a progress page and the inventory lock is false

/bin/chmod: changing permissions of /scratch/aime1/Oracle/Middleware/oracle_ps2/install/root.log': Operation not permitted

/bin/chmod: changing permissions of /scratch/aime1/Oracle/Middleware/oracle_ps2/bin/nmb': Operation not permitted

/bin/chmod: changing permissions of /scratch/aime1/Oracle/Middleware/oracle_ps2/bin/nmhs': Operation not permitted

/bin/chmod: changing permissions of /scratch/aime1/Oracle/Middleware/oracle_ps2/bin/nmo': Operation not permitted

inventoryLocation: /scratch/aime1/oraInventory

Mode:init

Such messages can be ignored.

2.2.3.10 Exception Seen When Starting Oracle Identity Management Server

After updating Oracle Identity Management to Release 11.1.1.5.0, the following exception may be seen when starting Oracle Identity Management Server:

java.lang.ClassNotFoundException: ADP ClassLoader failed to load:com.thortech.xl.schedule.tasks.tcTskScheduledProvision

This error is harmless and can be safely ignored.

2.2.4 System Component Patching Issues

This section contains patching issues pertaining to Oracle Fusion Middleware system components:

2.2.4.1 Redeploy System Components to Ensure Proper Deinstallation

After you have patched your system component software (Oracle Portal, Forms, Reports and Discoverer, Oracle Identity Management, or Oracle Web Tier) and started all services, you must manually redeploy your system components if you are extending your existing domain. To do so, follow the instructions in "Redeploying System Components for Extend Domain Scenarios" in the Oracle Fusion Middleware Patching Guide.

If you do not redeploy your system components, you will encounter problems when you attempt to remove them.

2.2.4.2 Setting Execute Permissions for emctl When Migrating System Components

When you migrate any Release 11.1.1.1.0 system component to Release 11.1.1.2.0, the following error message can be seen on the console window:

Process (index=1,uid=1270434032,pid=0)
Executable file does not have execute permission.

INSTANCE_HOME/EMAGENT/EMAGENT/bin/emctl
failed to start a managed process after the maximum retry limit
Executable file does not have execute permission.

The work around is to manually change the permissions of the emctl executable. For example:

chmod +x INSTANCE_HOME/EMAGENT/EMAGENT/bin/emctl

After changing the permissions, restart all the opmnctl processes.

2.2.5 Version Numbers Not Displaying Correctly After Patching

This section contains the following:

2.2.5.1 MDS Schema Version Number is Incorrect

If you are running Fusion Middleware products that use the Metadata Services schema (MDS) and your Fusion Middleware products are older than Release 11.1.1.4.0, the schema version number for the MDS schema in Enterprise Manager will be the previous release number, even if you have updated the MDS schema to Release 11.1.1.4.0.

In order for the MDS schema version number to appear correctly, both the schema and the Fusion Middleware product software must be up to date with the most recent version.

2.2.5.2 Oracle BI Components Show Incorrect Version Number After Patching

After you patch your existing Oracle Business Intelligence (BI) software to Release 11.1.1.4.0, some Oracle BI components (for example, Oracle BI Publisher or Oracle RTD) will still show the version number from your previous release when viewed using Oracle Enterprise Manager.

There is no work around for this issue.

2.2.6 Issues with Displays During or After Patching

This section contains the following:

2.2.6.1 Pages in Oracle Enterprise Manager and Oracle Directory Services Manager do not Display Correctly

After upgrading to 11g Release 1 (11.1.1.6.0), if you encounter problems with pages in Oracle Enterprise Manager (EM) or Oracle Directory Services Manager (ODSM) not being displayed correctly, do the following before starting all the servers in the domain:

  1. Add the value -XX:-UseSSE42Intrinsics to the DOMAIN_HOME/bin/setDomainEnv.sh (on UNIX operating systems) or DOMAIN_HOME\bin\setDomainEnv.cmd (on Windows operating systems) file as follows:

    Find the following section of code:

    if [ "${JAVA_VENDOR}" = "Sun" ] ; then
            MEM_ARGS="${MEM_ARGS} ${MEM_DEV_ARGS} ${MEM_MAX_PERM_SIZE}"
            export MEM_ARGS
    fi
     
    if [ "${JAVA_VENDOR}" = "HP" ] ; then
            MEM_ARGS="${MEM_ARGS} ${MEM_MAX_PERM_SIZE}"
            export MEM_ARGS
    fi
     
    if [ "${JAVA_VENDOR}" = "Apple" ] ; then
            MEM_ARGS="${MEM_ARGS} ${MEM_MAX_PERM_SIZE}"
            export MEM_ARGS
    fi
    

    And change it to:

    if [ "${JAVA_VENDOR}" = "Sun" ] ; then
            MEM_ARGS="${MEM_ARGS} ${MEM_DEV_ARGS} ${MEM_MAX_PERM_SIZE} -XX:-UseSSE42Intrinsics"
            export MEM_ARGS
    fi
     
    if [ "${JAVA_VENDOR}" = "HP" ] ; then
            MEM_ARGS="${MEM_ARGS} ${MEM_MAX_PERM_SIZE} -XX:-UseSSE42Intrinsics"
            export MEM_ARGS
    fi
     
    if [ "${JAVA_VENDOR}" = "Apple" ] ; then
            MEM_ARGS="${MEM_ARGS} ${MEM_MAX_PERM_SIZE} -XX:-UseSSE42Intrinsics"
            export MEM_ARGS
    fi
    
  2. For Oracle EM, remove the .css file from the following directory:

    On UNIX operating systems:

    DOMAIN_HOME/servers/AdminServer/tmp/_WL_user/em/random_dir/public/adf/styles/cache
    

    On Windows operating systems:

    DOMAIN_HOME\servers\AdminServer\tmp\_WL_user\em\random_dir\public\adf\styles\cache
    
  3. For ODSM, remove the .css file from the following directory:

    On UNIX operating systems:

    DOMAIN_HOME/servers/wls_ods1/tmp/_WL_user/odsm_release/random_dir/public/adf/styles/cache
    

    On Windows operating systems:

    DOMAIN_HOME\servers\wls_ods1\tmp\_WL_user\odsm_release\random_dir\public\adf\styles\cache
    
  4. Clear your browser cache to remove any browser clients that visited the sites using the .css file you just removed.

  5. Start or restart all the servers in the domain.

2.2.6.2 Patch Set Assistant Does Not Display Multi-Byte Characters on Oracle Linux 6

On Oracle Linux 6 operating systems, the Patch Set Assistant does not display multi-byte characters (for example, Japanese, Korean, and both simplified and triditional Chinese).

To work around this issue:

  1. Go to the Oracle Common home directory.

  2. Save the jdk directory directory to a temporary jdk directory. For example:

    mv jdk jdk_save
    
  3. Create a link to the jdk1.7.0 directory on your system. For example:

    ln -s /home/Oracle/Products/jdk/jdk1.7.0 jdk
    
  4. Set the following environment variables (for example, if you wanted to display Japanese characters):

    setenv LANG ja_JP
    setenv LC_ALL ja_JP
    
  5. Run the Patch Set Assistant from the ORACLE_HOME/bin directory.

It is recommended that you use this work around only for the duration needed to run the Patch Set Assistant; you should restore your environment to their original settings after you are finished.

2.2.7 Adding the Version Number for the odi-sdk-ws Application in config.xml

In 11g Release 1 (11.1.1.6.0), the odi-sdk-ws application was updated to introduce a version number. If you are upgrading the odi-sdk-ws application to 11g Release 1 (11.1.1.6.0) from any previous release, this version number must be added to the config.xml file prior to starting the Administration server or Managed Servers in the domain.

To do this:

  1. Edit the DOMAIN_HOME/config/config.xml (on UNIX operating systems) or DOMAIN_HOME\config\config.xml (on Windows operating systems) file.

  2. Change the following line:

    <name>odi-sdk-ws</name>
    

    To add a version number, as follows:

    <name>odi-sdk-ws#11.1.1.6.0.1</name>
    
  3. Start or restart the Administration Server and Managed Servers in the domain.

2.2.8 Error When Accessing the Oracle Portal Home Page

If you are upgrading to Oracle Portal 11g Release 1 (11.1.1.6.) from any previous release, the following error message is displayed in the browser when accessing the Oracle Portal home page:

XML Parsing Error: syntax error
Location: http://exampleserver.exampledomain:port/portal/pls/portal/dev_portal.home
Line Number 1, Column 1:An error occurred while processing the request. Try refreshing your browser. If the problem persists contact the site administrator
^

This occurs because the Web Cache invalidation password stored in Web Cache and the password stored in the Portal repository are not the same.

To resolve this issue:

  1. Reset the Oracle Web Cache invalidator password in the Administration repository:

    1. Log in to Enterprise Manager in the domain where Web Cache is running:

      http://administration_server_host:administration_server_port/em
      
    2. From the navigation section on the left, open "Web Tier" then click on the Web Cache instance name.

    3. Find the drop-down menu on the right-hand side of the page under the Web Cache instance name, then select Administration > Password from the menu.

    4. Specify a new invalidation password.

    5. Restart Oracle Web Cache.

  2. Reset the Oracle Web Cache invalidator password in the Oracle Portal repository:

    1. Log in to Enterprise Manager in the domain where Oracle Portal is running:

      http://administration_server_host:administration_server_port/em
      
    2. From the navigation section on the left, open "Portal" then click on the Oracle Portal Managed Server name.

    3. Find the drop-down menu on the right-hand side of the page under the Oracle Portal instance name, then select Settings > Wire Configuration from the menu.

    4. Specify a new invalidation password - the same password you specified in the Administration repository.

      Note:

      the "Invalidation User" user name should be same as the user name used on the Oracle Web Cache side.

    5. Click Apply.

      There is a known issue at this point - refer to "Resolving JDBC Errors in Oracle Reports and Oracle Portal" in the Oracle Fusion Middleware Patching Guide for more information.

    6. Delete the Oracle Portal File Cache in the ORACLE_INSTANCE/portal/cache (on UNIX operating systems) or ORACLE_INSTANCE\porta\/cache (on Windows operating systems) directory.

    7. Restart Oracle Web Cache and the Oracle Portal Managed Server.

2.2.9 Warnings When Running upgradeOpss()

When running the upgradeOpss() WLST command to upgrade configurations and stores to Release 11.1.1.4.0, the following error messages may be seen:

oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy
migrateData
WARNING: cannot migrate a global grant. Reason
oracle.security.jps.service.policystore.PolicyStoreException: Found 2 permissions
in the store matching: ([PermissionEntry:class=java.util.PropertyPermission
target=weblogic.Name resourceType=null actions=read,PERMISSION, name=null,
uniqueName=null, guid=null]
[jaznGranteeDn=orclguid=AC171BF0E72711DEBF9CCF0B93FB22A1,cn=Grantees,
cn=JAASPolicy,cn=systempolicy,cn=webcenter,cn=JPSContext,cn=jpsroot_webcenter_IR14_prod}),
[PermissionEntry: class=java.util.PropertyPermission target=weblogic.Name
resourceType=null actions=read,PERMISSION, name=8228FD8036F711DEAF24DB7D80B2D07C,
uniqueName=orclguid=8228FD8036F711DEAF24DB7D80B2D07C,cn=Permissions,cn=JAASPolicy,
cn=systempolicy,cn=webcenter,cn=JPSContext,cn=jpsroot_webcenter_IR14_prod, 
guid=8228FD8036F711DEAF24DB7D80B2D07C]
[jaznGranteeDn=orclguid=822505e036f711deaf24db7d80b2d07c,cn=grantees,cn=jaas
policy,cn=systempolicy,cn=webcenter,cn=jpscontext,cn=jpsroot_webcenter_ir14_prod}1
[PermissionEntry: class=java.util.PropertyPermission target=weblogic.Name 
resourceType=null actions=read,PERMISSION, name=8228FD8036F711DEAF24DB7D80B2D07C, 
uniqueName=orclguid=8228FD8036F711DEAF24DB7D80B2D07C,cn=Permissions,cn=JAASPolicy,
cn=systempolicy,cn=webcenter,cn=JPSContext,cn=jpsroot_webcenter_IR14_prod, 
guid=8228FD8036F711DEAF24DB7D80B2D07C]
[jaznGranteeDn=orclguid=822505e036f711deaf24db7d80b2d07c,cn=grantees,cn=jaaspolicy
,cn=systempolicy,cn=webcenter,cn=jpscontext,cn=jpsroot_webcenter_ir14_prod}
[PermissionEntry: class=java.util.PropertyPermission target=weblogic.Name 
resourceType=null actions=read,PERMISSION, name=AC198CF0E72711DEBF9CCF0B93FB22A1, 
uniqueName=orclguid=AC198CF0E72711DEBF9CCF0B93FB22A1,cn=Permissions,cn=JAASPolicy,
cn=systempolicy,cn=webcenter,cn=JPSContext,cn=jpsroot_webcenter_IR14_prod, guid=AC198CF0E72711DEBF9CCF0B93FB22A1]
[jaznGranteeDn=orclguid=822505e036f711deaf24db7d80b2d07c,cn=grantees,cn=jaaspolicy
,cn=systempolicy,cn=webcenter,cn=jpscontext,cn=jpsroot_webcenter_ir14_prod}
[jaznGranteeDn=orclguid=ac171bf0e72711debf9ccf0b93fb22a1,cn=grantees,cn=jaaspolicy
,cn=systempolicy,cn=webcenter,cn=jpscontext,cn=jpsroot_webcenter_ir14_prod}2
[PermissionEntry: class=java.util.PropertyPermission target=weblogic.Name 
resourceType=null actions=read,PERMISSION, name=AC198CF0E72711DEBF9CCF0B93FB22A1,
uniqueName=orclguid=AC198CF0E72711DEBF9CCF0B93FB22A1,cn=Permissions,cn=JAASPolicy,
cn=systempolicy,cn=webcenter,cn=JPSContext,cn=jpsroot_webcenter_IR14_prod, 
guid=AC198CF0E72711DEBF9CCF0B93FB22A1]
[jaznGranteeDn=orclguid=822505e036f711deaf24db7d80b2d07c,cn=grantees,cn=jaaspolicy
,cn=systempolicy,cn=webcenter,cn=jpscontext,cn=jpsroot_webcenter_ir14_
prod}[jaznGranteeDn=orclguid=ac171bf0e72711debf9ccf0b93fb22a1,cn=grantees,cn=jaas
policy,cn=systempolicy,cn=webcenter,cn=jpscontext,cn=jpsroot_webcenter_ir14_prod}

These messages are harmless and can be safely ignored.

2.2.10 "Patch Already Installed" Warning Message in Log File

In a scenario where you have a product that is already patched to version 11.1.1.3.0 in a Middleware home, and then you attempt to patch a second product to the same version in the same Middleware home, a warning message similar to the following will appear in the installtimestamp.out file:

Attempting to install 1 patches
Mar 3, 2010 1:00:07 PM [THREAD: Thread-1]
com.bea.cie.paf.internal.attach.PatchManagerImpl install
WARNING: Warning:  Patch already installed: PBY8
 
Patch installation success
Patch installation success
Success..
[SOARootService.getRootActions] autoPortsDetect =null
[SOARootService.getRootActions] privilegedPorts =null

This warning message can be safely ignored.

2.2.11 Manual Step for ODI-BAM Users After Installing 11.1.1.4.0 Patch Set

If you are integrating Oracle Data Integrator (ODI) with Oracle Business Activity Monitoring, you should import a new version of the following knowledge module after you install the Oracle Fusion Middleware 11g Release 1 (11.1.1.4.0) patch set:

BAM_ORACLE_HOME/bam/ODI/knowledge modules/KM_RKM Oracle BAM.xml

For more information, see "Importing and Replacing Knowledge Modules" in the Oracle Fusion Middleware Developer's Guide for Oracle Data Integrator.

This new module includes bugs fixes and improvements made for the Oracle Fusion Middleware 11g Release 1 (11.1.1.4.0) .

2.2.12 Applications Generate javax.xml.bind.JAXBException Runtime Errors After Installing 11.1.1.4.0 Patch Set

If any of the applications you deployed on Oracle Fusion Middleware 11g Release 1 (11.1.1.2.0) or Release 1 (11.1.1.3.0) include EclipseLink-JAXB classes that have no-arg constructors missing, then after you install Release 1 (11.1.1.4.0), the application might generate the following exceptions during runtime:

javax.xml.bind.JAXBException

To avoid this error:

  1. Modify the classes and add default no-arg constructors where necessary.

  2. Compile and redeploy your project to the newly patched Oracle Fusion Middleware 11g Release 1 (11.1.1.4.0) domain.

Below is an example of a typical no-arg constructor:

public class PriceQuote implements Serializable
{
   // Make sure you have constructor with no arguments
   public PriceQuote() }
   }
}

2.3 Configuration Issues and Workarounds

This section describes configuration issues and their workarounds. It includes the following topics:

2.3.1 Oracle SOA Suite Configuration Issues

This section contains information pertaining to Oracle SOA Suite configuration:

2.3.1.1 SOAINFRA Schema Contains Invalid Objects

When the 11g Release 1 (11.1.1.6.0) version of the prefix_SOAINFRA schema is created either by running RCU or the Patch Set Assistant, there are still some invalid objects that exist within the SOA schema.

To work around this issue, complie the prefix_SOAINFRA schema. For example, if the SOA schema user on your system is DEV_SOAINFRA:

exec dbms_utility.compile_schema('DEV_SOAINFRA')

If you choose not to run this command to make the objects valid, the objects will also become valid once they are accessed during runtime.

2.3.1.2 Exception Seen for Oracle SOA Suite with WebSphere Application Server

When running Oracle SOA Suite on IBM WebSphere application server, the following exception is seen after logging in to Fusion Middleware Control, expanding Application Deployments on the left side and then clicking on any of the applications under it:

[date_and_time] 0000003f OHWHelpProvid E   unable to create global
configuration
[date_and_time] 00000044 OHWHelpProvid E   critical error in OHW
configuration
 
oracle.help.web.config.parser.ConfigParseException: error finding
configuration file at:
        at oracle.help.web.config.parser.OHWParser._openConnection(Unknown
Source)
        at oracle.help.web.config.parser.OHWParser.getGlobalConfiguration(Unknown Source)
        at oracle.help.web.rich.helpProvider.OHWHelpProvider.getHelpTopic(Unknown Source)
.
.
.

This exception is harmless and can be safely ignored.

2.3.2 Oracle Identity Management Configuration Issues

This section contains information pertaining to Oracle Identity Management configuration:

2.3.2.1 Oracle Internet Directory Server Does Not Listen on SSL Port

If the machine on which Oracle Internet Directory is installed is not configured as a dual stack (IPv4/IPv6) host and the Oracle Internet Directory server is configured to listen on privileged ports, then the Oracle Internet Directory server does not listen on SSL ports.

To work around this issue, do one of the following:

  • Enable IPv6 on the machine.

  • If pure IPv4/IPv6 addresses are needed, add host=ipv4_ip_address or host=ipv6_ip_address for oidmon parameters in the INSTANCE_HOME/config/OPMN/opmn/opmn.xml file. For example:

    <data id="start-cmdline-opts" value="connect=$DB_CONNECT_STR opmnuid=true
       host=ipv4_or_ipv6_ip_address start"/>
    <data id="stop-cmdline-opts" value="connect=$DB_CONNECT_STR opmnuid=true
       host=ipv4_or_ipv6_ip_address stop"/>
    

2.3.2.2 Oracle Identity Federation oif-upgrade-11.1.1.2.0-11.1.1.6.0.py Script is not run on Remote Machines

For all new 11g Release 1 (11.1.1.6.0) Oracle Identity Federation installations where Oracle Identity Federation is not configured on the same machine as the Administration Server, you must run the oif-upgrade-11.1.1.2.0-11.1.1.6.0.py script on the remote machine to complete the configuration process.

When you run this script, you will need to specify location of the remote machine where the Oracle Identity Federation Managed Server is running. You only need to do this for one Managed Server even if you have multiple Managed Servers in your domain.

Instructions for running this script can be found in "Updating Configuration Properties in Oracle Identity Federation" in Oracle Fusion Middleware Patching Guide.

2.3.2.3 Metrics for Oracle Identity Management Components may not be Correctly Displayed in Enterprise Manager

When Oracle Identity Management servers are configured on IPv4/IPv6 dual-stack hosts in 11g Release 1 (11.1.1.6.0), the following problems may occur in Enterprise Manager:

  • Metrics for Oracle Identity Management components may not be displayed correctly.

  • Links to Oracle Directory Services Manager (ODSM) may not work.

To work around this issue, add an alias for the IPv6 address in the /etc/hosts file on your system:

IPv6_host_address host.domain host

For example:

fdc4:82c2:9c80:d47a::3:58 examplehost.exampledomain.com examplehost

2.3.2.4 Errors Logged to Managed Server Log Files When Extending a 11.1.1.3.0 Oracle Identity Management Domain on a Remote System

When extending a 11.1.1.3.0 (patched) domain on a remote system, you may see a Null Pointer exception message, such as the following, in the Managed Server log files after installation:

0000IW5hUxgDc_Y5HrDCif1Bm1sl000000,0] [APP: DMS Application#11.1.1.1.0]
     initialization error[[java.lang.NullPointerException
        at java.io.File.<init>(File.java:222)
        at oracle.dms.impl.util.AdmlLocator.<init>(AdmlLocator.java:59)
        at oracle.dms.app.DmsSpy.init(DmsSpy.java:86)
        at weblogic.servlet.internal.StubSecurityHelper$ServletInitAction.run(StubSecurityHelper.java:283)

To work around this issue, do the following:

  1. Stop the instance running on the second system.

  2. Stop the Managed Server on the second system.

  3. Stop the instance running on the first system.

  4. Stop Managed Servers on the first system.

  5. Stop the Administration Server on the first system.

  6. Start the instance, the Administration Server, and then Managed Servers on the first system manually from the command line.

  7. Start the instance and then Managed Servers on the second system manually from the command line.

For information about starting and stopping Oracle Fusion Middleware, see the "Starting and Stopping Oracle Fusion Middleware" chapter in the Oracle Fusion Middleware Administrator's Guide.

2.3.2.5 Log Messages Appearing on Console During Oracle Identity Management Schema Creation

During the creation of the Oracle Identity Management (OIM) schema, some log messages will appear in the RCU console window. These log messages are specific to Quartz, which is used by Oracle Identity Management, and can be safely ignored.

If there are any errors encoutered during the loading of this Quartz-specific data, the errors will be written to the RCU log files. Refer to Oracle Fusion Middleware Repository Creation Utility User's Guide for more informaiton about the RCU log files.

2.3.2.6 Configuring Oracle Identity Management When WebLogic Node Manager is Running

To configure Oracle Identity Management, using either the Install and Configure option or the Configuration Wizard, when the WebLogic Node Manager utility is running from the same Middleware home directory where Oracle Identity Management is installed, the StartScriptEnabled parameter in the nodemanager.properties file must be set to true. For example: StartScriptEnabled=true

To configure Oracle Identity Management when the StartScriptEnabled parameter is set to false, you must:

  1. Set the StartScriptEnabled parameter to true.

  2. Stop, then restart the Node Manager utility.

  3. Configure Oracle Identity Management using either the Install and Configure option or the Configuration Wizard.

Note:

The nodemanager.properties file is located in the WL_HOME/common/nodemanager/ directory.

2.3.2.7 Configuring OID with Oracle Data Vault

If you choose to configure Oracle Internet Directory (OID) with Oracle Data Vault:

  1. Apply patch 8897382 (see the README file in the patch for instructions).

  2. In the ORACLE_HOME/ldap/datasecurity/dbv_oid_command_rules.sql (on UNIX operating systems) or ORACLE_HOME\ldap\datasecurity\dbv_oid_command_rules.sql (on Windows operating systems) file, find the following code:

    /declare
    .
    begin
    .
       dvsys.dbms_macadm.CREATE_COMMAND_RULE(
       command => 'CONNECT'
       ,rule_set_name => 'OID App Access'
       ,object_owner => 'ODS'
       ,object_name => '%'
       ,enabled => 'Y');
    .
    commit;
    .
    end;/
    
  3. Change the following line:

    ,object_owner => 'ODS'
    

    to:

    ,object_owner => '%'
    

2.3.2.8 Password Requirements for Oracle Internet Directory Administrator

When configuring Oracle Internet Directory, using either the installer's Install and Configure option or the Configuration Wizard, you must enter and confirm the Administrator Password.

The following is a list of the requirements for the Oracle Internet Directory Administrator Password. The password must contain:

  • At least 5 characters

  • No more than 30 characters

  • At least one number

  • Only alpha-numeric characters, underscore ( _ ), dollar sign ( $ ), and pound/hash ( # )

Note:

If the password you enter does not satisfy these requirements, the following error message appears:

INST-07037: Administrator Password field value contains one or more
invalid characters or the value is not in proper format.

2.3.2.9 Error Message When Configuring Oracle Identity Federation

During the configuration of Oracle Identity Federation (OIF), the following error message regarding key store and password may be seen in the configuration log file:

[app:OIF module:/fed path:/fed spec-version:2.5
version:11.1.1.1.0]: Failed while destroying servlet: usermanager.
java.lang.RuntimeException: The server could not initialize properly:
oracle.security.fed.sec.util.KeySourceException: Invalid/unsupported
key store or incorrect password. Please verify that the password is correct
and the store is a valid PKCS#12 PFX wallet or Java KeyStore file.

This error message can be safely ignored if OIF is running properly.

2.3.3 Configuration Wizard Issues

This section contains issues pertaining to the Oracle Fusion Middleware Configuration Wizard:

2.3.3.1 Starting the Configuration Wizard From a New Window

When you start the Configuration Wizard from a terminal window, make sure that it is a new terminal window to ensure that there are no environment variables set to incorrect locations from a previous configuration or installation session.

2.3.3.2 Specify Security Updates Screen Does Not Appear in the Configuration Wizard

If you use silent installation (response file) to configure Oracle Identity Management, security updates (through Oracle Configuration Manager) are not configured. However, the ocm.rsp file is created in the Oracle home directory. If you run the Configuration Wizard GUI from the Oracle home, you will not see the Specify Security Updates Screen because of the presence of the ocm.rsp file.

To work around this issue, delete the ocm.rsp file from the Oracle home and run the Configuration Wizard to see the Specify Security Updates screen.

2.3.3.3 Some Text Truncated on the "Server Start Mode and JDK Configuration" Screen

If you run the Oracle Fusion Middleware Configuration Wizard on an AIX 64-bit system, the Graphics Manager on that system will cause some text to be truncated on the "Server Start Mode and JDK Configuration" screen.

There is no work around for this issue.

2.3.4 Repository Creation Utility Issues

This section contains issues pertaining to Repository Creation Utility:

2.3.4.1 Schemas Are Not Visible After Upgrade of Oracle Identity Management

After upgrading Oracle Identity Management from Release 10g (10.1.4.3) to 11g Release 1 (11.1.1), the Oracle Directory Service schemas (ODS and ODSSM) are not visible in the Repository Creation Utility (RCU).

The reason for this is because RCU is not used during the upgrade process, and RCU only recognizes schemas that are created by RCU. Refer to Oracle Fusion Middleware Repository Creation Utility User's Guide for more information.

2.3.4.2 RCU Summary Screen Issues

If you are dropping the Identity Management schemas and you select both Oracle Internet Directory (ODS) and Oracle Identity Federation (OIF) to be dropped, the RCU summary screen may not be displayed and an exception may be thrown in the console.

To work around this issue, select and drop one component at a time instead of selecting them both and dropping them together.

When other components are selected for a drop schema operation, the summary screen may display inaccurate information. However, the selected schemas will be successfully dropped from the database in spite of the erroneous information on the summary screen.

To work around this issue, select and drop only one component at a time.

2.3.5 Pack and Unpack Issues

This section contains issues pertaining to packing and unpacking a domain:

2.3.5.1 Ensure There Are No Missing Products When Using unpack.sh or unpack.cmd

Oracle SOA Suite, Oracle WebCenter Portal, and Application Developer all contain the pack.sh and unpack.sh (on UNIX systems) or pack.cmd and unpack.cmd (on Window systems) commands in their respective ORACLE_HOME/common/bin (on UNIX systems) or ORACLE_HOME\common\bin (on Windows systems) directories.

The pack.sh and pack.cmd scripts are used to create a template archive (.jar) file that contains a snapshot of either an entire domain or a subset of a domain. The unpack.sh and unpack.cmd scripts are used to create a full domain or a subset of a domain used for a Managed Server domain directory on a remote system.

The unpack.sh and unpack.cmd commands will fail if any installed products are missing from the system where you are running the unpack.sh or unpack.cmd command.

2.3.5.2 Running unpack.sh or unpack.cmd on a Different Host

If you are running the unpack.sh (on UNIX) or unpack.cmd (on Windows) command to unpack a domain on a remote host, the Oracle home location and the Middleware home location on the remote host should match the locations on the host where the pack was performed.

Below is a valid example:

Host 1:
MW_HOME = /user/home/Middleware
ORACLE_HOME =/user/home/Middleware/Oracle_SOA1

@ Host 2:
MW_HOME = /user/home/Middleware
ORACLE_HOME =/user/home/Middleware/Oracle_SOA1

The example below is NOT valid because the Oracle homes do not match:

Host 1:
MW_HOME = /user/home/Middleware
ORACLE_HOME =/user/home/Middleware/Oracle_SOA1

@ Host 2:
MW_HOME = /user/home/Middleware
ORACLE_HOME =/user/home/Middleware/SOA_Home

The example below is NOT valid because the Middleware homes do not match:

Host 1:
MW_HOME = /user/home/Middleware
ORACLE_HOME =/user/home/Middleware/Oracle_SOA1

@ Host 2:
MW_HOME = /user/home/MWHome
ORACLE_HOME =/user/home/Middleware/Oracle_SOA1
Host 1:
MW_HOME = C:\Oracle\Middleware
ORACLE_HOME = C:\Oracle\Middleware\Oracle_SOA1

@ Host 2:
MW_HOME = C:\Oracle\Middleware
ORACLE_HOME = C:\Oracle\Middleware\Oracle_SOA1

The example below is NOT valid because the Oracle homes do not match:

Host 1:
MW_HOME = C:\Oracle\Middleware
ORACLE_HOME = C:\Oracle\Middleware\Oracle_SOA1

@ Host 2:
MW_HOME = C:\Oracle\Middleware
ORACLE_HOME = C:\Oracle\Middleware\SOA_Home

The example below is NOT valid because the Middleware homes do not match:

Host 1:
MW_HOME = C:\Oracle\Middleware
ORACLE_HOME = C:\Oracle\Middleware\Oracle_SOA1

@ Host 2:
MW_HOME = C:\Oracle\MWHome
ORACLE_HOME = C:\Oracle\Middleware\Oracle_SOA1

2.3.5.3 Starting Managed Servers on Remote System After Packing and Unpacking Domain

After you unpack a domain on a remote system using the unpack command, complete the following steps:

  1. Start Node Manager on the remote system. This action creates a nodemanager.properties file on your system in the MW_HOME/wlserver_10.3/common/nodemanager directory (on UNIX). On Windows, this file is created in the MW_HOME\wlserver_10.3\common\nodemanager directory.

  2. Stop Node Manager.

  3. Open the nodemanager.properties file in a text editor and set the StartScriptEnabled property to true.

  4. Start the Node Manager on the remote system before starting the Managed Server on the remote system through the Oracle WebLogic Administration Console.

2.3.6 Configuration Issues Working With Clusters

This section contains issues pertaining to clusters and your WebLogic Server domain:

2.3.6.1 Extend Domain and Expand Cluster Scenarios with Remote Systems

In scenarios where you are using the Fusion Middleware Configuration Wizard to extend a domain or expand a cluster with remote systems, you must make sure that both the source and destination Middleware home and Oracle home directories are identical.

2.3.6.2 Unable to Extend an Existing Domain by Selecting Only Oracle Directory Integration Platform Without Cluster

Selecting only Oracle Directory Integration Platform without cluster in a session followed by creating cluster and extending domain on the same system fails.

In this domain configuration scenario, ensure that you install and configure Oracle Directory Services Manager on the same system where you extending the domain to configure Oracle Directory Integration Platform.

2.3.6.3 Expand Cluster Requires Changes to the emd.properties File

After running the Oracle Fusion Middleware Configuration Wizard to expand a cluster, the EMD_URL parameter in the INSTANCE_HOME/EMAGENT/EMAGENT/sysman/config/emd.properties file contains the values shown below:

EMD_URL=http://localhost.localdomain:port/emd/main

You must edit this parameter and replace localhost and localdomain with the actual host and domain information of your environment. For example, using 5160 as the port number:

EMD_URL=http://examplehost.exampledomain.com:5160/emd/main

2.3.7 OPMN Does Not Start if the LD_ASSUME_KERNEL Environment Variable is Set

On all UNIX operating systems, for all products that install Oracle Process Manager and Notification Server or OPMN (for example, Oracle Identity Management, Oracle Web Tier, Oracle Portal, Forms, Reports and Discoverer, and Oracle Business Intelligence), OPMN will not start if the LD_ASSUME_KERNEL environment variable is set. Make sure that this environment variable is not set.

2.3.8 Oracle WebCenter Portal wc-post-install.py Script Not Supported for Oracle RAC Datasources

The wc-post-install.py script can not be used in an environment with Oracle RAC datasources (gridlink or multi-datasource).

To work around this issue:

  1. Edit the WC_ORACLE_HOME/bpm/process_spaces/wc-post-install.py script and comment out all lines containing setDatasource in the file by adding a hash (#) character to the beginning of the line.

  2. Use the WebCenter Portal Console and manually configure the following datasources:

    • mds-soa

    • mds-soa0

    • mds-soa1

    • SOADataSource

    • SOADataSource0

    • SOADataSource1

  3. Run the wc-post-install.py script.

2.3.9 Changing the Listen Address of a Managed Server

When you run the Configuration Wizard after installing Oracle Identity Management or Oracle Portal, Forms, Reports and Discoverer, the listen address for WebLogic Managed Servers is left blank by default (to listen to all network interfaces). If you change the listen address to the actual host name, the Managed Server stops listening from outside the system.

It is recommended that you either leave the listen address blank, or specify the IP address of the host rather than using the host name.

2.3.10 Domain Extension Overwrites JDBC Data Source Name

When a WebLogic Domain with JDBC resources is extended to either Oracle SOA Suite or Oracle WebCenter Portal, the JDBC data source name will be changed. This behavior is commonly observed in cases where WebLogic Server version lower than 9.x is upgraded to a version higher than 9.x and then extended to Oracle SOA Suite or Oracle WebCenter Portal.

To work around this issue, you must manually edit the JDBC data source names.

2.3.11 Rerouting to Original URL After SSO Authentication in Firefox and Safari Browsers

When configuring Oracle Portal, Forms, Reports and Discoverer, when both Oracle HTTP Server and Oracle Web Cache are selected for configuration, re-routing (back to the original URL) after Single Sign-On (SSO) authentication does not work in Firefox and Safari browsers when the initial request comes from Oracle HTTP Server.

The work arounds are to either use the Internet Explorer browser, or manually modify the INSTANCE_HOME/config/OHS/instance_name/httpd.conf file and change the ServerName entry to include the port number. For example:

ServerName examplehost.exampledomain.com

should be changed to:

ServerName examplehost.exampledomain.com:port

Replace port with the actual port number.

2.3.12 Deleting the Browser Cache in Browsers

Make sure you clear your browser cache files; otherwise, the objects on your screen (for example, in Oracle Enterprise Manager) may not be refreshed to the latest version, or if you added a new object then it may not appear.

2.4 Documentation Errata

This section describes documentation errata. It includes the following topics:

2.4.1 Updating OIM Configuration to Use Oracle HTTP Server 10g WebGate

Step 4 in the Section 22.8 "Optional: Updating Oracle Identity Manager Configuration" in the chapter "Migrating from Domain Agent to Oracle HTTP Server 10g Webgate for OAM" requires you to update the OIM Configuration when the OAM URL or agent profile changes. This section is in the Oracle Fusion Middleware Installation Guide for Oracle Identity Management.

To update Oracle Identity Manager configuration, complete the following steps:

  1. Export the oim-config.xml file from metadata by running <IDM_Home>/server/bin/weblogicExportMetadata.sh (on UNIX), and export the file - /db/oim-config.xml. On Windows operating systems, you can use the weblogicExportMetadata.bat file located in the same directory.

  2. Update the file to use Oracle HTTP Server 10g Webgate by updating following element under the <ssoConfig> tag:

    <webgateType>javaWebgate</webgateType> to <webgateType>ohsWebgate10g</webgateType>

  3. Import oim-config.xml back to metadata by running <IDM_Home>/server/bin/weblogicImportMetadata.sh on UNIX. On Windows, use the weblogicImportMetadata.bat located in the same directory.

  4. Log in to Oracle Enterprise Manager using your WebLogic Server administrator credentials.

  5. Click Identity and access > oim > oim(version). Right-click and select System MBean Browser. The System MBean Browser page is displayed.

  6. Under Application Defined MBeans, select oracle.iam > Server:oim_server1 > Application: oim > XMLConfig > config.

  7. Replace the front-end URL with the URL of Oracle HTTP Server. This should be the same Oracle HTTP Server that was used before installing Oracle HTTP Server 10g Webgate for Oracle Access Manager. Complete the following steps:

    1. Under XMLConfig MBean, move to XMLConfig.DiscoveryConfig.

    2. Update OimFrontEndURL with the URL of Oracle HTTP Server.

    3. Click Apply.

  8. Restart the OIM server.

2.4.2 Missing Logout Configuration Steps in the Oracle Identity Management Installation Guide

Steps to perform logout configuration after updating the OIM Server Configuration are missing from the Oracle Fusion Middleware Installation Guide for Oracle Identity Management.

You must perform logout configuration after updating the OIM Server configuration, as described in the Section 22.6 "Updating OIM Server Configuration" in the chapter "Migrating from Domain Agent to Oracle HTTP Server 10g Webgate for OAM".

Note:

Ensure that you have set up integration between Oracle Identity Manager and Oracle Access Manager, as described in the topic "Integration Between OIM and OAM" in the Oracle Fusion Middleware Installation Guide for Oracle Identity Management.

After updating OIM Server configuration, you must perform logout configuration as follows:

  1. Copy the logout.html file from the <IDM_HOME>/oam/server/oamsso directory to the <10gWebgateInstallation>/access/oamsso directory.

  2. Edit the SERVER_LOGOUTURL variable in the logout.html file to point to the host and port of the Oracle Access Manager Server. Follow the instructions in the logout.html file.

  3. If the http.conf file of the web server includes the following entries, remove the entries from the http.conf file:

    <LocationMatch "/oamsso/*">
         Satisfy any
         </LocationMatch>
    

2.4.3 Incorrect Version Numbers Specified for Updating the Catalog

Chapter 3 of Oracle Fusion Middleware Patching Guide includes the "Updating Oracle Business Intelligence Catalogs" section, which describes how to update an Oracle BI Presentation Catalog from an older release to a newer release. The section mentions updating from Release 11.1.1.3.0 to 11.1.1.6.0, which is incomplete. The section must state that the instructions apply when updating from any older release to the current one.